import java.util.*;

public class Utility {
 
    public static String[] StringArray(ArrayList<String> lines) {
	String[] s = new String[lines.size()];
	for (int i=0; i<lines.size(); i++) {
	    s[i] = lines.get(i);
	}
	return s;
    }
	
	public static int[][] IntArray(ArrayList[] ints) {
		int[][] s = new int[ints.length][];
		for (int i=0; i<ints.length; i++) {
			s[i] = new int[ints[i].size()];
			for (int j=0; j<ints[i].size(); j++) {
				s[i][j] = ((Integer) ints[i].get(j)).intValue();
			}
		}
		return s;
	}

    public static int[] IntArray(ArrayList<Integer> ints) {
	int[] s = new int[ints.size()];
	for (int i=0; i<ints.size(); i++) {
	    s[i] = ints.get(i).intValue();
	}
	return s;
    }

    public static Integer[] IntegerArray(ArrayList<Integer> ints) {
	Integer[] s = new Integer[ints.size()];
	for (int i=0; i<ints.size(); i++) {
	    s[i] = ints.get(i);
	}
	return s;
    }

    public static Integer[] IntegerArray(LinkedList<Integer> ints) {
	Integer[] s = new Integer[ints.size()];
	for (int i=0; i<ints.size(); i++) {
	    s[i] = ints.get(i);
	}
	return s;
    }

    public static Segment[] SegArray(ArrayList<Segment> lines) {
	Segment[] s = new Segment[lines.size()];
	for (int i=0; i<lines.size(); i++) {
	    s[i] = lines.get(i);
	}
	return s;
    }

    public static Edge[] EdgArray(ArrayList<Edge> lines) {
	Edge[] s = new Edge[lines.size()];
	for (int i=0; i<lines.size(); i++) {
	    s[i] = lines.get(i);
	}
	return s;
    }

    public static boolean Acontains(ArrayList<Integer[]> a, Integer[] b) {
	for (int i=0; i<a.size(); i++) {
	    if (equals(a.get(i),b)) {
		return true;
	    }
	}
	return false;
    }

    public static boolean equals(Integer[] a, Integer[] b) {
	if (a.length != b.length) {
	    return false;
	}
	for (int i=0; i<a.length; i++) {
	    if (!a[i].equals(b[i])) {
		return false;
	    }
	}
	return true;
    }
}